﻿
using System;
using Xamarin.Forms;

namespace SfMaskedEditSample
{
    public partial class MainPage : ContentPage
    {
        public static readonly BindableProperty PhoneNumberProperty = BindableProperty.Create(
           "PhoneNumber", typeof(object), typeof(MainPage), null, BindingMode.TwoWay, null, null);

        public object PhoneNumber
        {
            get
            {
                return this.GetValue(PhoneNumberProperty);
            }

            set
            {
                this.SetValue(PhoneNumberProperty, value);
            }
        }

        public static readonly BindableProperty PhoneFormatProperty = BindableProperty.Create(
           "PhoneFormat", typeof(string), typeof(MainPage), null, BindingMode.TwoWay, null, null);

        public string PhoneFormat
        {
            get
            {
                return (string)this.GetValue(PhoneFormatProperty);
            }

            set
            {
                this.SetValue(PhoneFormatProperty, value);
            }
        }

        public MainPage()
        {
            InitializeComponent();
            this.PhoneFormat = "0000000000";
            this.PhoneNumber = "1234567890";
            this.BindingContext = this;
        }
    }
}
